org.apache.poi.hwpf.usermodel

## Class HeaderStories

- java.lang.Object
- - org.apache.poi.hwpf.usermodel.HeaderStories

-     public final class HeaderStories
      extends java.lang.Object

  A HeaderStory is a Header, a Footer, or footnote/endnote separator. All the Header Stories get stored in the same Range in the document, and this handles getting out all the individual parts. WARNING - you shouldn't change the headers or footers, as offsets are not yet updated!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderStories(HWPFDocument doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areFieldsStripped()` Are fields currently being stripped from the text that this `HeaderStories` returns? Default is false, but can be changed
    `java.lang.String` | `getEndnoteContNote()` Deprecated. 3.8 beta 4
    `Range` | `getEndnoteContNoteSubrange()`
    `java.lang.String` | `getEndnoteContSeparator()` Deprecated. 3.8 beta 4
    `Range` | `getEndnoteContSeparatorSubrange()`
    `java.lang.String` | `getEndnoteSeparator()` Deprecated. 3.8 beta 4
    `Range` | `getEndnoteSeparatorSubrange()`
    `java.lang.String` | `getEvenFooter()` Deprecated. 3.8 beta 4
    `Range` | `getEvenFooterSubrange()`
    `java.lang.String` | `getEvenHeader()` Deprecated. 3.8 beta 4
    `Range` | `getEvenHeaderSubrange()`
    `java.lang.String` | `getFirstFooter()` Deprecated. 3.8 beta 4
    `Range` | `getFirstFooterSubrange()`
    `java.lang.String` | `getFirstHeader()` Deprecated. 3.8 beta 4
    `Range` | `getFirstHeaderSubrange()`
    `java.lang.String` | `getFooter(int pageNumber)` Returns the correct, defined footer for the given one based page
    `java.lang.String` | `getFootnoteContNote()` Deprecated. 3.8 beta 4
    `Range` | `getFootnoteContNoteSubrange()`
    `java.lang.String` | `getFootnoteContSeparator()` Deprecated. 3.8 beta 4
    `Range` | `getFootnoteContSeparatorSubrange()`
    `java.lang.String` | `getFootnoteSeparator()` Deprecated. 3.8 beta 4
    `Range` | `getFootnoteSeparatorSubrange()`
    `java.lang.String` | `getHeader(int pageNumber)` Returns the correct, defined header for the given one based page
    `java.lang.String` | `getOddFooter()` Deprecated. 3.8 beta 4
    `Range` | `getOddFooterSubrange()`
    `java.lang.String` | `getOddHeader()` Deprecated. 3.8 beta 4
    `Range` | `getOddHeaderSubrange()`
    `protected PlexOfCps` | `getPlcfHdd()`
    `Range` | `getRange()`
    `void` | `setAreFieldsStripped(boolean stripFields)` Should fields (eg macros) be stripped from the text that this class returns? Default is not to strip.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderStories

          public HeaderStories(HWPFDocument doc)

  - ### Method Detail

    - #### getFootnoteSeparator

          @Deprecated
          public java.lang.String getFootnoteSeparator()

      Deprecated. 3.8 beta 4

    - #### getFootnoteContSeparator

          @Deprecated
          public java.lang.String getFootnoteContSeparator()

      Deprecated. 3.8 beta 4

    - #### getFootnoteContNote

          @Deprecated
          public java.lang.String getFootnoteContNote()

      Deprecated. 3.8 beta 4

    - #### getEndnoteSeparator

          @Deprecated
          public java.lang.String getEndnoteSeparator()

      Deprecated. 3.8 beta 4

    - #### getEndnoteContSeparator

          @Deprecated
          public java.lang.String getEndnoteContSeparator()

      Deprecated. 3.8 beta 4

    - #### getEndnoteContNote

          @Deprecated
          public java.lang.String getEndnoteContNote()

      Deprecated. 3.8 beta 4

    - #### getFootnoteSeparatorSubrange

          public Range getFootnoteSeparatorSubrange()

    - #### getFootnoteContSeparatorSubrange

          public Range getFootnoteContSeparatorSubrange()

    - #### getFootnoteContNoteSubrange

          public Range getFootnoteContNoteSubrange()

    - #### getEndnoteSeparatorSubrange

          public Range getEndnoteSeparatorSubrange()

    - #### getEndnoteContSeparatorSubrange

          public Range getEndnoteContSeparatorSubrange()

    - #### getEndnoteContNoteSubrange

          public Range getEndnoteContNoteSubrange()

    - #### getEvenHeader

          @Deprecated
          public java.lang.String getEvenHeader()

      Deprecated. 3.8 beta 4

    - #### getOddHeader

          @Deprecated
          public java.lang.String getOddHeader()

      Deprecated. 3.8 beta 4

    - #### getFirstHeader

          @Deprecated
          public java.lang.String getFirstHeader()

      Deprecated. 3.8 beta 4

    - #### getEvenHeaderSubrange

          public Range getEvenHeaderSubrange()

    - #### getOddHeaderSubrange

          public Range getOddHeaderSubrange()

    - #### getFirstHeaderSubrange

          public Range getFirstHeaderSubrange()

    - #### getHeader

          public java.lang.String getHeader(int pageNumber)

      Returns the correct, defined header for the given one based page
      Parameters:
        `pageNumber` - The one based page number

    - #### getEvenFooter

          @Deprecated
          public java.lang.String getEvenFooter()

      Deprecated. 3.8 beta 4

    - #### getOddFooter

          @Deprecated
          public java.lang.String getOddFooter()

      Deprecated. 3.8 beta 4

    - #### getFirstFooter

          @Deprecated
          public java.lang.String getFirstFooter()

      Deprecated. 3.8 beta 4

    - #### getEvenFooterSubrange

          public Range getEvenFooterSubrange()

    - #### getOddFooterSubrange

          public Range getOddFooterSubrange()

    - #### getFirstFooterSubrange

          public Range getFirstFooterSubrange()

    - #### getFooter

          public java.lang.String getFooter(int pageNumber)

      Returns the correct, defined footer for the given one based page
      Parameters:
        `pageNumber` - The one based page number

    - #### getRange

          public Range getRange()

    - #### getPlcfHdd

          protected PlexOfCps getPlcfHdd()

    - #### areFieldsStripped

          public boolean areFieldsStripped()

      Are fields currently being stripped from the text that this `HeaderStories` returns? Default is false, but can be changed

    - #### setAreFieldsStripped

          public void setAreFieldsStripped(boolean stripFields)

      Should fields (eg macros) be stripped from the text that this class returns? Default is not to strip.
      Parameters:
        `stripFields` -

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.